Related records
Create a related_record
Create a related record link. The source must belong to book_id and both endpoints must be accessible. Use Household for clients/prospects, and the contact person ID with Person for contact sources.
POST
/
v1
/
related_records
Create a related_record
curl --request POST \
--url https://api.slant.app/v1/related_records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"book_id": "<string>",
"source_id": "<string>",
"target_id": "<string>",
"relationship_to_source": "<string>",
"relationship_to_target": "<string>"
}
'import requests
url = "https://api.slant.app/v1/related_records"
payload = {
"book_id": "<string>",
"source_id": "<string>",
"target_id": "<string>",
"relationship_to_source": "<string>",
"relationship_to_target": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
book_id: '<string>',
source_id: '<string>',
target_id: '<string>',
relationship_to_source: '<string>',
relationship_to_target: '<string>'
})
};
fetch('https://api.slant.app/v1/related_records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"book_id": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"source_label": "<string>",
"target_label": "<string>",
"relationship_to_source": "<string>",
"relationship_to_target": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "token_missing",
"detail": "<string>"
}{
"error": "invalid_payload",
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Body
application/json
Available options:
Household, Person, Business, Trust, User Available options:
Household, Person, Business, Trust, User, Contact How the source relates to the target
How the target relates to the source
Response
related_record created
⌘I
Create a related_record
